/*
 * @file hotel_booking.edit.js
 * Provides js to make calendars display in lightbox
 * @copyright Copyright(c) 2010 Lee Rowlands
 * @license GPL v2 http://www.fsf.org/licensing/licenses/gpl.html
 * @author Lee Rowlands leerowlands at rowlands-bcs dot com
 *
 */

Drupal.behaviors.hotel_booking_lightbox = function (context) {
  //append the lightbox to the path
  $('a.availability:not(.hb-processed)').addClass('hb-processed').each(function(){
    var href = $(this).attr('href');
    if (href.indexOf('?') != -1) {
      var parts = href.split('?');
      href = parts[0] + '/lightbox?' + parts[1];
    }
    else {
      //we append the lightbox path to the url so the js version can use a different page tpl
      href += '/lightbox'; 
    }
    $(this).attr('href', href);
  })
};
